CUDA_MEMCPY2D(3)

NAME
CUDA_MEMCPY2D -

SYNOPSIS

  Data Fields

CUarray dstArray
CUdeviceptr dstDevice
void * dstHost
CUmemorytype dstMemoryType
size_t dstPitch
size_t dstXInBytes
CUarray srcArray
CUdeviceptr srcDevice
const void * srcHost
CUmemorytype srcMemoryType
size_t srcPitch
size_t srcXInBytes
size_t WidthInBytes

Detailed Description

2D memory copy parameters

Field Documentation

  CUarray CUDA_MEMCPY2D::dstArray

Destination array reference

  CUdeviceptr CUDA_MEMCPY2D::dstDevice

Destination device pointer

  void* CUDA_MEMCPY2D::dstHost

Destination host pointer

  CUmemorytype CUDA_MEMCPY2D::dstMemoryType

Destination memory type (host, device, array)

  size_t CUDA_MEMCPY2D::dstPitch

Destination pitch (ignored when dst is array)

  size_t CUDA_MEMCPY2D::dstXInBytes

Destination X in bytes

  CUarray CUDA_MEMCPY2D::srcArray

Source array reference

  CUdeviceptr CUDA_MEMCPY2D::srcDevice

Source device pointer

  const void* CUDA_MEMCPY2D::srcHost

Source host pointer

  CUmemorytype CUDA_MEMCPY2D::srcMemoryType

Source memory type (host, device, array)

  size_t CUDA_MEMCPY2D::srcPitch

Source pitch (ignored when src is array)

  size_t CUDA_MEMCPY2D::srcXInBytes

Source X in bytes

  size_t CUDA_MEMCPY2D::WidthInBytes

Width of 2D memory copy in bytes

Author

Generated automatically by Doxygen from the source code.